%define ezmlmIdxVers	5.0.2

Name: ezmlm
Version: 0.53
Release: 5
Summary: An easy-to-use, high-speed mailing list manager for qmail. 

Group: Applications/Internet
License: See http://cr.yp.to/%{name}.html or contact DJB, portions GPL
URL: http://cr.yp.to/%{name}.html
Source0: http://cr.yp.to/software/%{name}-%{version}.tar.gz
Source1: http://www.ezmlm.org/archive/%{ezmlmIdxVers}/ezmlm-idx-%{ezmlmIdxVers}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: mysql-devel
Requires: qmail


%description
ezmlm-0.53 provides basic message distribution, subscriber address handling, 
message archiving (single quoted message retrieval only), and bounce handling. 
ezmlm-idx adds multi-message threaded archive retrieval, digests, remote 
administration, message and subscription moderation, subscriber-only restrictions, 
message trailer, subject prefix, subscriber name storage, customizable setup, 
multi-language and MIME support and more. In addition, improved bounce handling, 
case-insensitive subscriber address storage, and support for distributed lists 
(main + sublist transparent to the subscriber). In addition, ezmlm-idx can now be 
compiled with MySQL support for centrally administrated distributed lists with 
binaries that autosense use of SQL or standard ezmlm databases. 

The major improvements in ezmlm-idx-5.0.2 are support for user transparent 
sublisting and SQL database support including support for monitored and dynamically 
reconfigurable sublisting. Bounce handling is also optimized to work with very 
large lists. SQL-enabled lists appear to scale well even beyond 500,000 
subscribers.


%prep
%setup -q
%setup -q -D -T -a 1

# Copy all the ezmlm-idx files over...
cp -fR ezmlm-idx-%{ezmlmIdxVers}/* .

# Perform the ezmlm-idx master patch...
patch < idx.patch


%build
# Fix DJB legacy nastiness...
echo %{_sysconfdir}/qmail > conf-qmail
echo %{_bindir} > conf-bin
echo %{_mandir} > conf-man
echo %{_includedir}/mysql > conf-sqlcc
echo " -L%{_libdir} -L/usr/lib/mysql/ -lmysqlclient -lz -lnsl -lcrypt -lz -lm" > conf-sqlld

make clean
make
make man

#./ezmlm-test


%install
rm -Rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_sysconfdir}/%{name}


# Now, duplicate make setup logic, but with conf changes in the middle
make install

./install "%{buildroot}%{_bindir}" < BIN
./install "%{buildroot}%{_mandir}" < MAN
./install "%{buildroot}%{_sysconfdir}/%{name}" < ETC


rm -f "%{buildroot}%{_sysconfdir}/%{name}/default"
mv -f %{buildroot}%{_sysconfdir}/%{name}/* "%{buildroot}%{_datadir}/%{name}/"
mv -f %{buildroot}%{_datadir}/%{name}/ezmlm*rc "%{buildroot}%{_sysconfdir}/%{name}/"
ln -sf %{_datadir}/%{name}/"`head -n 1 conf-lang`" "%{buildroot}%{_sysconfdir}/%{name}/default"


%clean
rm -fR  %{buildroot}


%files
%defattr(-,root,root)
%doc BLURB CHANGES* DOWNGRADE* FAQ* FILES* INSTALL* LICENCE* README* THANKS* TODO* UPGRADE* VERSION*

%docdir sub_mysql
%doc sub_mysql/*
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/default
%config(noreplace) %{_sysconfdir}/%{name}/ezmlm*
%config(noreplace) %{_sysconfdir}/%{name}/ezmlm*

%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/cat1/*
%{_mandir}/cat5/*


%changelog
* Mon Sep 30 2013 Japheth Cleaver <cleaver@terabithia.org> 0.53(5.0.2)-5
- rebuild

* Tue May 2 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 0.53(5.0.2)-4
- Path bugfixes to ezmlm configs

* Mon Apr 24 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 0.53(5.0.2)-3
- Add mysql-devel to BuildRequires
- Upgrade to 5.0.2
- More spec file tweaks

* Mon Mar 1 2004 Japheth Cleaver <cleaver@rohan.sdsu.edu> 0.53(0.40)-2
- Upgrade to ezmlm-idx 0.42
- Spec file tweaks

* Sun Feb 29 2004 Japheth Cleaver <cleaver@rohan.sdsu.edu> 0.53(0.40)-1
- Fixed binaries to remove %{buildroot} from search path

* Thu Jan 22 2004 Japheth Cleaver <cleaver@rohan.sdsu.edu> 0.53(0.40)-0.5
- Created new spec file
- Add errno patch
- Build on Fedora Core 1
- Install ezmlm tools into /usr/bin
- Look for qmail in /etc/qmail instead of /var/qmail

